/*
    KMines (not the KDE original version though ;-) - it's just a simple KDE app demo)
    Copyright (C) 2006 Andrej Krutak

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef _MAINW_H_
#define _MAINW_H_

#include <qmainwindow.h>
#include "minefield.h"
#include "settings.h"

class MainWidget : public QMainWindow {
    Q_OBJECT
public:
    MainWidget(const char *name = 0);
	virtual ~MainWidget() {
		if (sdlg) delete sdlg;
	}
public slots:
	void settingsClosed();
protected:
	void closeEvent(QCloseEvent *);
private slots:
	void newGame();
	void about();
	void settings();
private:
	bool askQuit();
	Minefield *board;
	int W, H, M;
	Settings *sdlg;
};

#endif // _MAINW_H_
